#! Flux2D 12.0
import os

#executeBatchSpy('buildGeomesh.py')

lastInstance = ApplicationMagneticTransient2D(domain2D=Domain2DPlane(lengthUnit=LengthUnit['MILLIMETER'],
                                              depth='225'),
                                              coilCoefficient=CoilCoefficientAutomatic(),
                                              transientInitialization=TransientInitializationZeroInitialSolution())


Application[2].transientInitialization = TransientInitializationStaticComputation()


lastInstance = RegionFace(name='Magnet_1',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

lastInstance = RegionFace(name='MAGNET_2',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

lastInstance = RegionFace(name='MAGNET_3',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

lastInstance = RegionFace(name='MAGNET_4',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

FaceAutomatic[9, 3].region = RegionFace['MAGNET_1']
FaceAutomatic[4, 10].region = RegionFace['MAGNET_2']
FaceAutomatic[11, 5].region = RegionFace['MAGNET_3']
FaceAutomatic[6, 12].region = RegionFace['MAGNET_4']

VariationParameterFormula(name='NSP',

						  formula='40')
VariationParameterFormula(name='SPEED',

						  formula='1200')
MechanicalSetRotation1Axis(name='ROTOR',

						   kinematics=RotatingImposedSpeed(velocity='SPEED',

						   initialPosition='0'),

						   rotationAxis=RotationZAxis(coordSys=CoordSys['XY1'],

						   pivot=['0',

						   '0']))

lastInstance = MechanicalSetFixed(name='stator')

lastInstance = InfiniteBoxDisc(DISCOID=['rad3*1.2',
							   'rad3*1.5'])

InfiniteBoxDisc['InfiniteBoxDisc'].complete2D(buildingOption='Faces',
											  coordSys=CoordSys['AIRGAP_COORD'],
											  linkMesh='LinkMesh')

					   

Face[100].region = RegionFace['STATOR_AIR']

INSTALL = os.environ["INSTALLFLUX"] + "//.."
macroFile = INSTALL + "/Materials/FLUX_111_MATERI.DAT"
importMaterial(fileName=macroFile, materialNames=['FLU_M270_35A         :'])
importMaterial(fileName=macroFile, materialNames=['FLU_NDFE30         :'])                                                

RegionFace['INFINITE', 'PRESLOT', 'STATOR', 'STATOR_AIR', 'WEDGE', 'ROTATING_AIRGAP', 'PHASE_NEG_3', 'PHASE_POS_1', 'PHASE_POS_2'].mechanicalSet = MechanicalSet['STATOR']

RegionFace['INFINITE'].magneticTransient2D = MagneticTransient2DFaceVacuum()

RegionFace['PRESLOT'].magneticTransient2D = MagneticTransient2DFaceVacuum()

RegionFace['STATOR_AIR'].magneticTransient2D = MagneticTransient2DFaceVacuum()

RegionFace['WEDGE'].magneticTransient2D = MagneticTransient2DFaceVacuum()

RegionFace['ROTATING_AIRGAP'].magneticTransient2D = MagneticTransient2DFaceVacuum()


RegionFace['ROTOR'].magneticTransient2D = MagneticTransient2DFaceMagnetic(material=Material['FLU_M270_35A'])

RegionFace['ROTOR'].mechanicalSet = MechanicalSet['ROTOR']

RegionFace['STATOR'].magneticTransient2D = MagneticTransient2DFaceMagnetic(material=Material['FLU_M270_35A'])
		  
RegionFace['MAGNET_1', 'MAGNET_2', 'MAGNET_3', 'MAGNET_4'].mechanicalSet = MechanicalSet['ROTOR']

RegionFace['MAGNET_1'].magneticTransient2D = MagneticTransient2DFaceMagnetic(material=Material['FLU_NDFE30'])

RegionFace['MAGNET_2'].magneticTransient2D = MagneticTransient2DFaceMagnetic(material=Material['FLU_NDFE30'])

RegionFace['MAGNET_3'].magneticTransient2D = MagneticTransient2DFaceMagnetic(material=Material['FLU_NDFE30'])

RegionFace['MAGNET_4'].magneticTransient2D = MagneticTransient2DFaceMagnetic(material=Material['FLU_NDFE30'])


orientRegSurfMaterial(region=RegionFace['MAGNET_1'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

orientRegSurfMaterial(region=RegionFace['MAGNET_2'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

orientRegSurfMaterial(region=RegionFace['MAGNET_3'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

orientRegSurfMaterial(region=RegionFace['MAGNET_4'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

RegionFace['SHAFT', 'ROTOR_AIR'].mechanicalSet = MechanicalSet['ROTOR']

RegionFace['SHAFT'].magneticTransient2D = MagneticTransient2DFaceVacuum()

RegionFace['ROTOR_AIR'].magneticTransient2D = MagneticTransient2DFaceVacuum()


importCircuit(filename='IMP_layers_Back_EMF_log1.xcir',
			  importValue=1,
			  ImportFELink=0)
		  
CoilConductor['COILCONDUCTOR_4'].resistanceFormula = '0.9'

CoilConductor['COILCONDUCTOR_5'].resistanceFormula = '0.9'

CoilConductor['COILCONDUCTOR_6'].resistanceFormula = '0.9'


Inductor[ALL].inductance = '1.79e-3'     
		  
		  
RegionFace['PHASE_NEG_3'].magneticTransient2D = MagneticTransient2DFaceCoilConductor(coilConductor=CoilConductor2DNegative(turnNumber='NSP',
																					 seriesParallel=AllInSeries(),
																					 electricComponent=CoilConductor['COILCONDUCTOR_6']))

RegionFace['PHASE_POS_1'].magneticTransient2D = MagneticTransient2DFaceCoilConductor(coilConductor=CoilConductor2DPositive(turnNumber='NSP',
																					 seriesParallel=AllInSeries(),
																					 electricComponent=CoilConductor['COILCONDUCTOR_4']))

RegionFace['PHASE_POS_2'].magneticTransient2D = MagneticTransient2DFaceCoilConductor(coilConductor=CoilConductor2DPositive(turnNumber='NSP',
																					 seriesParallel=AllInSeries(),
																					 electricComponent=CoilConductor['COILCONDUCTOR_5']))
result = checkPhysic()

meshDomain()


saveProjectAs('physbuilt.FLU')                                                                                                                    
		  

