#! Flux2D 12.0


#executeBatchSpy('solving.py')
# Remplacer le formateur de double
df2 = session.supervisor.getFormaterBuilder().buildIngineerFormaterWithConstantSize(6)
session.supervisor.getFormaterBuilder().setExportFormater(df2)


EvolutiveCurve2D(name='Back_EMF',
				 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
				 limitMin=0.0,
				 limitMax=182.0)]),
				 formula=['U(COILCONDUCTOR_4)',
				 'U(COILCONDUCTOR_5)',
				 'U(COILCONDUCTOR_6)'])


result = SpectrumAnalysis(curve=Curve2d['BACK_EMF'],
						  component='U(COILCONDUCTOR_4)',
						  cycle=FullCycle(),
						  numberHarmonics=31,
						  computeDCComponent=NonContinue(),
						  scaleDecibel=FirstHarmonic(firstHarmonicValue=100.0),
						  nameRebuiltCurve='Extrapolated_curve',
						  nameFourierTransform='Spectrum')



CurveVariation2D[ALL].exportTXT(txtFile='result/TestCase_RES',
								mode='add')


saveProjectAs('postprocessed.FLU')
