#! Flux2D 12.0
import os

#executeBatchSpy('buildGeomesh.py')

lastInstance = ApplicationMagneticTransient2D(domain2D=Domain2DPlane(lengthUnit=LengthUnit['MILLIMETER'],
                                              depth='225'),
                                              coilCoefficient=CoilCoefficientAutomatic(),
                                              transientInitialization=TransientInitializationZeroInitialSolution())


Application[2].transientInitialization = TransientInitializationStaticComputation()


lastInstance = RegionFace(name='Magnet_1',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

lastInstance = RegionFace(name='MAGNET_2',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

lastInstance = RegionFace(name='MAGNET_3',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

lastInstance = RegionFace(name='MAGNET_4',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

FaceAutomatic[9, 3].region = RegionFace['MAGNET_1']
FaceAutomatic[4, 10].region = RegionFace['MAGNET_2']
FaceAutomatic[11, 5].region = RegionFace['MAGNET_3']
FaceAutomatic[6, 12].region = RegionFace['MAGNET_4']

VariationParameterFormula(name='NSP',

						  formula='40')
VariationParameterFormula(name='SPEED',

						  formula='1200')


VariationParameterFormula(name='FREQUENCY',

						  formula='SPEED/60*POLES/2')



VariationParameterFormula(name='OMEGA',

						  formula='2*Pi()*FREQUENCY')



VariationParameterFormula(name='MAX_CURRENT',

						  formula='200')
   
MechanicalSetRotation1Axis(name='ROTOR',

						   kinematics=RotatingImposedSpeed(velocity='SPEED',

						   initialPosition='0'),

						   rotationAxis=RotationZAxis(coordSys=CoordSys['XY1'],

						   pivot=['0',

						   '0']))

lastInstance = MechanicalSetFixed(name='stator')

lastInstance = InfiniteBoxDisc(DISCOID=['rad3*1.2',
							   'rad3*1.5'])

InfiniteBoxDisc['InfiniteBoxDisc'].complete2D(buildingOption='Faces',
											  coordSys=CoordSys['AIRGAP_COORD'],
											  linkMesh='LinkMesh')

					   

Face[100].region = RegionFace['STATOR_AIR']

INSTALL = os.environ["INSTALLFLUX"] + "//.."
macroFile = INSTALL + "/Materials/FLUX_111_MATERI.DAT"
importMaterial(fileName=macroFile, materialNames=['FLU_M270_35A         :'])
importMaterial(fileName=macroFile, materialNames=['FLU_NDFE30         :'])                                                   


RegionFace['INFINITE', 'PRESLOT', 'STATOR', 'STATOR_AIR', 'WEDGE', 'ROTATING_AIRGAP', 'PHASE_NEG_3', 'PHASE_POS_1', 'PHASE_POS_2'].mechanicalSet = MechanicalSet['STATOR']

RegionFace['INFINITE'].magneticTransient2D = MagneticTransient2DFaceVacuum()

RegionFace['PRESLOT'].magneticTransient2D = MagneticTransient2DFaceVacuum()

RegionFace['STATOR_AIR'].magneticTransient2D = MagneticTransient2DFaceVacuum()

RegionFace['WEDGE'].magneticTransient2D = MagneticTransient2DFaceVacuum()

RegionFace['ROTATING_AIRGAP'].magneticTransient2D = MagneticTransient2DFaceVacuum()


RegionFace['ROTOR'].magneticTransient2D = MagneticTransient2DFaceMagnetic(material=Material['FLU_M270_35A'])

RegionFace['ROTOR'].mechanicalSet = MechanicalSet['ROTOR']

RegionFace['STATOR'].magneticTransient2D = MagneticTransient2DFaceMagnetic(material=Material['FLU_M270_35A'])
		  
RegionFace['MAGNET_1', 'MAGNET_2', 'MAGNET_3', 'MAGNET_4'].mechanicalSet = MechanicalSet['ROTOR']

RegionFace['MAGNET_1'].magneticTransient2D = MagneticTransient2DFaceSolidConductor(material=Material['FLU_NDFE30'],
																				   circuitType=OpenCircuit())

RegionFace['MAGNET_2'].magneticTransient2D = MagneticTransient2DFaceSolidConductor(material=Material['FLU_NDFE30'],
																				   circuitType=OpenCircuit())

RegionFace['MAGNET_3'].magneticTransient2D = MagneticTransient2DFaceSolidConductor(material=Material['FLU_NDFE30'],
																				   circuitType=OpenCircuit())

RegionFace['MAGNET_4'].magneticTransient2D = MagneticTransient2DFaceSolidConductor(material=Material['FLU_NDFE30'],
																				   circuitType=OpenCircuit())






orientRegSurfMaterial(region=RegionFace['MAGNET_1'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

orientRegSurfMaterial(region=RegionFace['MAGNET_2'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

orientRegSurfMaterial(region=RegionFace['MAGNET_3'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

orientRegSurfMaterial(region=RegionFace['MAGNET_4'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

RegionFace['SHAFT', 'ROTOR_AIR'].mechanicalSet = MechanicalSet['ROTOR']

RegionFace['SHAFT'].magneticTransient2D = MagneticTransient2DFaceVacuum()

RegionFace['ROTOR_AIR'].magneticTransient2D = MagneticTransient2DFaceVacuum()

																										   
importCircuit(filename='solved_log1.xcir',
			  importValue=1,
			  ImportFELink=1)


CurrentSource['CURRENTSOURCE_1'].rmsModulus = 'MAX_CURRENT*Sin(OMEGA*TIME)'


CurrentSource['CURRENTSOURCE_2'].rmsModulus = 'MAX_CURRENT*Sin(OMEGA*TIME-2*Pi()/3)'

CurrentSource['CURRENTSOURCE_3'].rmsModulus = 'MAX_CURRENT*Sin(OMEGA*TIME-4*Pi()/3)'


CoilConductor['COILCONDUCTOR_1'].resistanceFormula = '0.96'

CoilConductor['COILCONDUCTOR_2'].resistanceFormula = '0.96'

CoilConductor['COILCONDUCTOR_3'].resistanceFormula = '0.96'

Resistor['RESISTOR_1'].resistance = '1e4'


Inductor[ALL].inductance = '1.2E-3'



RegionFace['PHASE_NEG_3'].magneticTransient2D = MagneticTransient2DFaceCoilConductor(coilConductor=CoilConductor2DNegative(turnNumber='NSP',
																					 seriesParallel=AllInSeries(),
																					 electricComponent=CoilConductor['COILCONDUCTOR_3']))

RegionFace['PHASE_POS_1'].magneticTransient2D = MagneticTransient2DFaceCoilConductor(coilConductor=CoilConductor2DPositive(turnNumber='NSP',
																					 seriesParallel=AllInSeries(),
																					 electricComponent=CoilConductor['COILCONDUCTOR_1']))

RegionFace['PHASE_POS_2'].magneticTransient2D = MagneticTransient2DFaceCoilConductor(coilConductor=CoilConductor2DPositive(turnNumber='NSP',
																					 seriesParallel=AllInSeries(),
																					 electricComponent=CoilConductor['COILCONDUCTOR_2']))

result = checkPhysic()

meshDomain() 

saveProjectAs('physbuilt.FLU')
		  

