#! Flux2D 12.0


#executeBatchSpy('solving.py')
# Remplacer le formateur de double
df2 = session.supervisor.getFormaterBuilder().buildIngineerFormaterWithConstantSize(6)
session.supervisor.getFormaterBuilder().setExportFormater(df2)


EvolutiveCurve2D(name='Torque',
				 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
				 limitMin=0.0,
				 limitMax=182.0)]),
				 formula=['TorqueElecMag(ROTOR)'])

result = BertottiLossesRegion(sheetIron=BertottiLossSheetIron(coefficients=BertottiCoefficients(hysteresisLossCoefficient=130.246,
							  classicalLossCoefficient=1923077.0,
							  excessLossCoefficient=0.357,
							  sheetIronThickness=3.5E-4,
							  stackingFactor=0.97,
							  hysteresisLossTermBExponent=2.0,
							  hysteresisLossTermFrequencyExponent=1.0,
							  classicalLossTermBExponent=2.0,
							  excessLossTermBExponent=1.5),
							  orientation=SheetIronOrientationXY(coordSys=CoordSys['XY1'])),
							  timeInterval=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
							  limitMin=2.0,
							  limitMax=182.0)]),
							  curveName='CURVE_LOSS_BT_INST_1',
							  resultName='BERTOTTI_LOSSES_IN_REGIONS_1',
							  lossSpatialParameterName='DVOL_LOSS_BT_MEAN_3',
							  energySpatialParameterName='DVOL_ENERGY_LOSS_BT_3',
							  faceRegions=[RegionFace['ROTOR'],
							  RegionFace['STATOR']])

result = LsLossesRegion(sheetIron=LsLossSheetIron(type=LsLossSheetIronM27035A(),
						orientation=SheetIronOrientationXY(coordSys=CoordSys['XY1'])),
						timeInterval=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
						limitMin=2.0,
						limitMax=182.0)]),
						periodicity=NoCycleLs(),
						curveName='CURVE_LOSS_LS_REGION_1',
						resultName='LS_LOSSES_IN_REGION_1',
						lossSpatialParameterName='DVOL_LOSS_LS_MEAN_3',
						energySpatialParameterName='DVOL_ENERGY_LOSS_LS_3',
						faceRegions=[RegionFace['ROTOR'],
						RegionFace['STATOR']])



lastInstance = SensorPredefinedLosses(name='Magnet_losses',
									  support=ComputationSupportLossesFaceRegion(region=[RegionFace['MAGNET_1'],
									  RegionFace['MAGNET_2'],
									  RegionFace['MAGNET_3'],
									  RegionFace['MAGNET_4']]))

evaluateSensors()

EvolutiveCurve2D(name='MAGNET_LOSSES_1',
				 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
				 limitMin=2.0,
				 limitMax=182.0)]),
				 formula=['MAGNET_LOSSES'])
			 
			 
VariationParameterFormula(name='PA_A',

						  formula='U(CURRENTSOURCE_1)*I(CURRENTSOURCE_1)')


VariationParameterFormula(name='PA_B',

						  formula='U(CURRENTSOURCE_2)*I(CURRENTSOURCE_2)')


VariationParameterFormula(name='PA_C',

						  formula='U(CURRENTSOURCE_3)*I(CURRENTSOURCE_3)')
			   


EvolutiveCurve2D(name='Input_Electrical_Power',
				 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
				 limitMin=2.0,
				 limitMax=182.0)]),
				 formula=['PA_A+PA_B+PA_C'])

EvolutiveCurve2D(name='Mechanical_Power',
				 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
				 limitMin=0.0,
				 limitMax=182.0)]),
				 formula=['TorqueElecMag(ROTOR)',
				 'TorqueElecMag(ROTOR)*AngSpeed(ROTOR)*Pi()/180'])
					  

CurveVariation2D[ALL].exportTXT(txtFile='result/TestCase_RES',
								mode='add')


saveProjectAs('postprocessed.FLU')

