#! Flux2D 12.0
import os

#executeBatchSpy('buildGeomesh.py')

lastInstance = ApplicationMagneticDC2D(domain2D=Domain2DPlane(lengthUnit=LengthUnit['MILLIMETER'],
								   depth='225'),
								   coilCoefficient=CoilCoefficientAutomatic())
lastInstance = RegionFace(name='Magnet_1',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

lastInstance = RegionFace(name='MAGNET_2',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

lastInstance = RegionFace(name='MAGNET_3',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

lastInstance = RegionFace(name='MAGNET_4',
						  color=Color['Red'],
						  visibility=Visibility['VISIBLE'])

FaceAutomatic[9, 3].region = RegionFace['MAGNET_1']
FaceAutomatic[4, 10].region = RegionFace['MAGNET_2']
FaceAutomatic[11, 5].region = RegionFace['MAGNET_3']
FaceAutomatic[6, 12].region = RegionFace['MAGNET_4']

VariationParameterFormula(name='NSP',

						  formula='40')
VariationParameterPilot(name='CURRENT',

						referenceValue=40.0)

lastInstance = MechanicalSetRotation1Axis(name='rotor',
										  kinematics=RotatingMultiStatic(),
										  rotationAxis=RotationZAxis(coordSys=CoordSys['XY1'],
										  pivot=['0',
										  '0']))


lastInstance = MechanicalSetFixed(name='stator')

lastInstance = InfiniteBoxDisc(DISCOID=['rad3*1.2',
							   'rad3*1.5'])

InfiniteBoxDisc['InfiniteBoxDisc'].complete2D(buildingOption='Faces',
											  coordSys=CoordSys['AIRGAP_COORD'],
											  linkMesh='LinkMesh')
					   

Face[100].region = RegionFace['STATOR_AIR']

											
INSTALL = os.environ["INSTALLFLUX"] + "//.."
macroFile = INSTALL + "/Materials/FLUX_111_MATERI.DAT"
importMaterial(fileName=macroFile, materialNames=['FLU_M270_35A         :'])
importMaterial(fileName=macroFile, materialNames=['FLU_NDFE30         :'])   

RegionFace['INFINITE', 'PRESLOT', 'ROTATING_AIRGAP', 'ROTOR_AIR', 'STATOR_AIR', 'WEDGE'].mechanicalSet = MechanicalSet['STATOR']

RegionFace['INFINITE'].magneticDC2D = MagneticDC2DFaceVacuum()

RegionFace['PRESLOT'].magneticDC2D = MagneticDC2DFaceVacuum()

RegionFace['ROTATING_AIRGAP'].magneticDC2D = MagneticDC2DFaceVacuum()

RegionFace['ROTOR_AIR'].magneticDC2D = MagneticDC2DFaceVacuum()

RegionFace['SHAFT'].magneticDC2D = MagneticDC2DFaceVacuum()

RegionFace['STATOR_AIR'].magneticDC2D = MagneticDC2DFaceVacuum()

RegionFace['WEDGE'].magneticDC2D = MagneticDC2DFaceVacuum()


RegionFace['MAGNET_1', 'MAGNET_2', 'MAGNET_3', 'MAGNET_4'].mechanicalSet = MechanicalSet['ROTOR']

RegionFace['MAGNET_1'].magneticDC2D = MagneticDC2DFaceMagnetic(material=Material['FLU_NDFE30'])

RegionFace['MAGNET_2'].magneticDC2D = MagneticDC2DFaceMagnetic(material=Material['FLU_NDFE30'])

RegionFace['MAGNET_3'].magneticDC2D = MagneticDC2DFaceMagnetic(material=Material['FLU_NDFE30'])

RegionFace['MAGNET_4'].magneticDC2D = MagneticDC2DFaceMagnetic(material=Material['FLU_NDFE30'])

RegionFace['PHASE_NEG_3', 'PHASE_POS_1', 'PHASE_POS_2'].mechanicalSet = MechanicalSet['STATOR']

RegionFace['SHAFT'].mechanicalSet = MechanicalSet['ROTOR']

orientRegSurfMaterial(region=RegionFace['MAGNET_1'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

orientRegSurfMaterial(region=RegionFace['MAGNET_2'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

orientRegSurfMaterial(region=RegionFace['MAGNET_3'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

orientRegSurfMaterial(region=RegionFace['MAGNET_4'], coordSys=CoordSys['ROTOR_COORD'], orientation='Positive_Radial', center=['-90', '0'], angle='0')

RegionFace['ROTOR'].magneticDC2D = MagneticDC2DFaceMagnetic(material=Material['FLU_M270_35A'])

RegionFace['STATOR'].magneticDC2D = MagneticDC2DFaceMagnetic(material=Material['FLU_M270_35A'])

RegionFace['ROTOR'].mechanicalSet = MechanicalSet['ROTOR']

RegionFace['STATOR'].mechanicalSet = MechanicalSet['STATOR']

CurrentStrandedCoil(name='C_1',

					rmsModulus='CURRENT')




CurrentStrandedCoil(name='C_2',

					rmsModulus='-CURRENT')




CurrentStrandedCoil(name='C_3',

					rmsModulus='-CURRENT')

RegionFace['PHASE_NEG_3'].magneticDC2D = MagneticDC2DFaceCoilConductor(coilConductor=CoilConductor2DNegative(turnNumber='NSP',
																	   seriesParallel=AllInSeries(),
																	   electricComponent=CoilConductor['C_3']))


RegionFace['PHASE_POS_1'].magneticDC2D = MagneticDC2DFaceCoilConductor(coilConductor=CoilConductor2DPositive(turnNumber='NSP',
																	   seriesParallel=AllInSeries(),
																	   electricComponent=CoilConductor['C_1']))


RegionFace['PHASE_POS_2'].magneticDC2D = MagneticDC2DFaceCoilConductor(coilConductor=CoilConductor2DPositive(turnNumber='NSP',
																	   seriesParallel=AllInSeries(),
																	   electricComponent=CoilConductor['C_2']))



result = checkPhysic()

meshDomain()


saveProjectAs('physbuilt.FLU')
